| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Typedefs | Functions | Variables
ISFCore1 module documentation

## Macros
#define | __CDEUserType_ISFCore1_Type

## Typedefs
typedef char | ISFCore1_Type

## Functions
ci_response_enum | App1_ci_app_callback (ci_host_cmd_packet_t *, ci_app_resp_packet_t *)
ci_response_enum | BasicApp1_ci_app_callback (ci_host_cmd_packet_t *, ci_app_resp_packet_t *)
ci_response_enum | rli_ci_app_callback (ci_host_cmd_packet_t *, ci_app_resp_packet_t *)
void | EH_task (os_task_param_t task_init_data)

## Variables
const ci_funcp_t | ci_callback []
| Command interpreter callbacks. The array index is the application ID. More...

## Detailed Description

## Macro Definition Documentation

#define __CDEUserType_ISFCore1_Type

Definition at line 111 of file ISFCore1.h.

## Typedef Documentation

typedef char ISFCore1_Type

Definition at line 112 of file ISFCore1.h.

## Function Documentation

ci_response_enum App1_ci_app_callback | ( | ci_host_cmd_packet_t * | ,
|  | ci_app_resp_packet_t * |
| ) |  |

Definition at line 1067 of file App1.c.

References App1AppSettings_t::AccelerometerSettings_Sub0, App1AppSettings_t::AccelerometerSettings_Sub1, App1AppSettings_t::AccelerometerSettings_Sub2, App1AppSettings_t::AccelerometerSettings_Sub3, App1AppSettings_t::AccelerometerSettings_Sub4, App1AppSettings_t::AccelerometerSettings_Sub5, App1AppSettings_t::AccelerometerSettings_Sub6, App1AppSettings_t::AccelerometerSettings_Sub7, App1AppSettings_t::AltitudeSettings_Sub15, App1AppSettings_t::AnalogSettings_Sub19, App1_GotoState(), App1_STATE_STOPPED_UNSUBSCRIBED, ci_host_cmd_packet_t::appId, App1AppInstance_t::appId, ci_host_cmd_packet_t::byte_cnt, ci_app_resp_packet_t::bytes_xfer, CI_CMD_GET_APP_SUBSCRIPTION, CI_CMD_READ_APP_DATA, CI_CMD_READ_CONFIG, CI_CMD_READ_VERSION, CI_CMD_RESET_APP, CI_CMD_UPDATE_QUICKREAD, CI_CMD_WRITE_CONFIG, CI_CMD_WRITE_SREC_FLASH, CI_ERROR_COMMAND, CI_ERROR_NONE, CI_INVALID_COUNT, CI_MAX_FLASH_BYTES, ci_host_cmd_packet_t::cmd, App1AppSettings_t::control, CTRL_POWER_MASK, CTRL_STATE_MASK, App1AppSettings_t::CustomSettings_Sub18, App1AppInstance_t::data, GET_FIELD, App1AppSettings_t::GyrometerSettings_Sub10, App1AppSettings_t::GyrometerSettings_Sub11, App1AppInstance_t::info, App1AppInstance_t::instance, isf_ci_app_read(), isf_ci_app_write(), isf_ci_qr_update(), isf_swap4byte(), App1AppSettings_t::MagnetometerSettings_Sub8, App1AppSettings_t::MagnetometerSettings_Sub9, isf_SubscriptionSettings_t::nSamplePeriod, ci_host_cmd_packet_t::offset, App1AppSettings_t::OrientationSettings_Sub14, App1AppInstance_t::outputBufferLock, App1AppSettings_t::PedometerSettings_Sub16, App1AppSettings_t::PedometerSettings_Sub17, App1AppSettings_t::PressureSettings_Sub12, SensorInfo_t::sensorId, SET_FIELD, App1AppInstance_t::settings, startof, and App1AppSettings_t::TemperatureSettings_Sub13.

Here is the call graph for this function:

ci_response_enum BasicApp1_ci_app_callback | ( | ci_host_cmd_packet_t * | ,
|  | ci_app_resp_packet_t * |
| ) |  |

Definition at line 554 of file BasicApp1.c.

References BasicApp1_CI_Callback(), and CI_ERROR_COMMAND.

Here is the call graph for this function:

void EH_task | ( | os_task_param_t | task_init_data | ) |

Definition at line 126 of file ISFCore1.c.

References EventHandler_task(), and isf_EventHandler_Init().

Here is the call graph for this function:

ci_response_enum rli_ci_app_callback | ( | ci_host_cmd_packet_t * | ,
|  | ci_app_resp_packet_t * |
| ) |  |

Definition at line 213 of file rli_project.c.

References device_cmd_packet_t::appId, ci_host_cmd_packet_t::appId, BM_ERROR, bm_register_periodic_callback(), bm_start(), bm_stop(), bm_unregister_callback(), ci_host_cmd_packet_t::byte_cnt, ci_app_resp_packet_t::bytes_xfer, rliAppState_t::CfgBuffer, CI_CMD_DEVICE_READ, CI_CMD_DEVICE_WRITE, CI_CMD_READ_APP_DATA, CI_CMD_READ_APP_STATUS, CI_CMD_READ_CONFIG, CI_CMD_READ_VERSION, CI_CMD_RESET_APP, CI_CMD_WRITE_CONFIG, CI_ERROR_COMMAND, CI_ERROR_NONE, CI_ERROR_PARAM, CI_INVALID_COUNT, CI_RW_READ, CI_RW_WRITE, ci_stream_element_t, device_cmd_packet_t::cmd, ci_host_cmd_packet_t::cmd, rliAppState_t::cmdBuffer, CONFIGURE_PERIODIC_READ, rliAppStatus_t::device, device_connect(), device_disconnect(), rliAppStatus_t::error, isf_ci_app_read(), isf_ci_app_write(), isf_ci_stream_create(), isf_ci_stream_delete(), isf_rli_read(), isf_rli_write(), ISF_SUCCESS, device_cmd_packet_t::nRead, device_cmd_packet_t::nWrite, ci_host_cmd_packet_t::offset, device_periodic_read_cfg_packet_t::period, rliAppState_t::periodicNRead, rliAppState_t::periodicStartAddress, rliAppState_t::pHandle, rliAppState_t::rcvBuffer, RLI_APP_STATE_OPEN, rli_PeriodicCallback(), ci_app_resp_packet_t::rw, rliAppState_t::status, STOP_PERIODIC_READ, rliAppState_t::streamId, device_periodic_read_cfg_packet_t::streamId, and rliAppState_t::token.

Here is the call graph for this function:

## Variable Documentation

const ci_funcp_t ci_callback[]

Initial value:
=
{
ISF_APP_CALLBACKS
App1_ci_app_callback,
BasicApp1_ci_app_callback,
rli_ci_app_callback,
rli_ci_app_callback,
0
}
BasicApp1_ci_app_callback
ci_response_enum BasicApp1_ci_app_callback(ci_host_cmd_packet_t *, ci_app_resp_packet_t *)
Definition: BasicApp1.c:554
App1_ci_app_callback
ci_response_enum App1_ci_app_callback(ci_host_cmd_packet_t *, ci_app_resp_packet_t *)
Definition: App1.c:1067
ISF_APP_CALLBACKS
#define ISF_APP_CALLBACKS
This macro defines the ISF application Command Interpreter callback(s). Note: The user must put thes...
Definition: isf_init.h:341
rli_ci_app_callback
ci_response_enum rli_ci_app_callback(ci_host_cmd_packet_t *, ci_app_resp_packet_t *)
Definition: rli_project.c:213

Command interpreter callbacks. The array index is the application ID.

Definition at line 94 of file ISFCore1.c.

Referenced by ci_mbox_init(), ci_protocol_CB_mbox(), and ci_qr_update().

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.